Bug 273881 - rawhide RPM don't build java package ouside a jar file
rawhide RPM don't build java package ouside a jar file
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All All
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-01 11:08 EDT by Alphonse Van Assche
Modified: 2008-11-06 14:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-06 14:05:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alphonse Van Assche 2007-09-01 11:08:12 EDT
Description of problem:
rpmbuild fails because check-buildroot find the build root in the debuginfo
package of a unpacked eclipse plugin (Java natively build program).
Perhaps, any Java program outside a jar file may have the same troubles.

Version-Release number of selected component (if applicable):

How reproducible:
mkdir tmp && cd tmp
wget http://alcapcom.fedorapeople.org/SRPMS/eclipse-rse-
mock -r fedora-8-i386-core eclipse-rse-
Actual results:
Binary file
Binary file
Binary file
Binary file
Binary file
Found '/var/tmp/eclipse-rse-' in installed
files; aborting

Expected results:
The package just build like on F-7 with (rpm-

Additional info:
There is already a workaround on the check-buildroot script to not check
.jar.so.debug files, thus the problem with buildroot string inside Java
debuginfo package seems to not be a new stuff.

The problem seems to come from the last changes added to make working the new
BuildID feature.
Comment 1 Panu Matilainen 2007-09-04 02:36:07 EDT
This is possibly due to me accidentally removing a patch that I thought was
already upstream but wasn't. If that's the case then the next rawhide build
should fix it. Can you try the packages from this build and see if it fixes this
for you? http://koji.fedoraproject.org/koji/taskinfo?taskID=146588
Comment 2 Alphonse Van Assche 2007-09-04 07:10:02 EDT
Hello Panu,

I don't have a rawhide machine under the hand to test this RPM version, If you
have one can you please make a try with this srpm ->

Otherwise, I should wait that this version is in rawhide to test it.

Comment 3 Panu Matilainen 2007-09-04 07:22:58 EDT
Actually the one referred to above was buggy in other ways so...

I don't have a rawhide box either, but it'll be included in next rawhide push
Comment 4 Alphonse Van Assche 2007-09-13 15:08:18 EDT
Have just make a try with (rpm- but the problem persist.
Comment 5 Panu Matilainen 2007-09-25 01:44:27 EDT
Ok it seems that this isn't related to the new find-debuginfo or buildid changes
at all, but instead an old problem that's just exposed now by rawhide having
post-build check-buildroot check run by default (which F7 didn't do).

One way to work around the issue is to disable the native compilation of
problematic bits (like was done here:
but it'd be nice to find some generic, proper solution to this... We can't go
adding specific excludes to the check-buildroot script for every other java
package :-/
Comment 6 Bug Zapper 2008-04-04 09:43:58 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.